//
//  Contact.swift
//  PhoneBook
//
//  Created by Santiago Pavón on 26/11/14.
//  Copyright (c) 2014 UPM. All rights reserved.
//

import Foundation

class Contact: NSObject, NSCoding {
    
    var name: String
    var address: String
    var phone: String
    
    init(name: String, address: String, phone: String) {
        self.name    = name
        self.address = address
        self.phone   = phone
    }
    
    required init(coder aDecoder: NSCoder) {
        name = "" ; address = "" ; phone = "" // Valores por defecto
        // Decodificar las propiedades de nuestra clase.
        name    = aDecoder.decodeObjectForKey("name")?    as String
        address = aDecoder.decodeObjectForKey("address")? as String
        phone   = aDecoder.decodeObjectForKey("phone")?   as String    }
    
    func encodeWithCoder(aCoder: NSCoder) {
        // Codificar las propiedades de nuestra clase.
        aCoder.encodeObject(name,    forKey:"name")
        aCoder.encodeObject(address, forKey:"address")
        aCoder.encodeObject(phone,   forKey:"phone")
    }
}