//
//  ContactBook.swift
//  PhoneBook
//
//  Created by Santiago Pavón on 26/11/14.
//  Copyright (c) 2014 UPM. All rights reserved.
//

import Foundation

class ContactBook {
    
    // Contiene los contactos.
    var contacts: [Contact]
    
    init() {
        contacts = []
        
        // Añado unos contactos inventados solo para probar.
        let c1 = Contact(name: "Pedro García",
                      address: "Calle del Gato, 25",
                        phone: "111222333")
        let c2 = Contact(name: "Ana López",
                      address: "Calle del Loro, 12",
                        phone: "987654321")
        let c3 = Contact(name: "Alex Grease",
                      address: "Calle del Mosquito, 2",
                        phone: "101010101")
        contacts += [c1, c2, c3]
    }
    
    
    func loadOrCreate(filename: String) {
        
        // Path
        let docsPath = NSSearchPathForDirectoriesInDomains(
            .DocumentDirectory, .UserDomainMask, true)[0] as String
        let filePath: String = docsPath.stringByAppendingPathComponent(filename)
        
        // Lee el fichero en un NSData
        if let data = NSData(contentsOfFile:filePath) {
            
            // Extraer el array de contactos del NSData
            if let contacts = NSKeyedUnarchiver.unarchiveObjectWithData(data)
                as? [Contact] {
                    self.contacts = contacts
            } else {
                contacts = []  // Fallo la extraccion
            }
        } else {
            contacts = []  // Fallo la carga del fichero
        }
    }
    
    func save(filename: String) {
        
        // Path
        let docsPath = NSSearchPathForDirectoriesInDomains(
            .DocumentDirectory, .UserDomainMask, true)[0] as String
        let filePath: String = docsPath.stringByAppendingPathComponent(filename)
        
        // Convierte contacts en un NSData
        let data = NSKeyedArchiver.archivedDataWithRootObject(contacts)
        
        // Salva el NSData en un fichero
        let res = data.writeToFile(filePath, atomically:true)
    }
}